#!/usr/bin/env bash
# Desc: Delete symlinks; skips non-symlinks
# Usage: rmsym [paths]
# Version: 0.0.1

yell() { echo "$0: $*" >&2; } # print script path and all args to stderr
die() { yell "$*"; exit 111; } # same as yell() but non-zero exit status
must() { "$@" || die "cannot $*"; } # runs args as command, reports args if command fails
main () {
    # Check args
    for psarg in "$@"; do
        if [[ -h "$psarg" ]]; then
            rm "$psarg";
        else
            yell "Not a symbolic link; not deleting:$psarg";
            continue;
        fi;
    done;
}; # main program

main "$@";

# Author: Steven Baltakatei Sandoval
# License: GPLv3+